## org.eclipse.datatools.modelbase.sql.schema
Interface Dependency

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

    public interface Dependency

extends SQLObject

A representation of the model object 'Dependency'.

The following features are supported:

- `Target End`
- `Dependency Type`

See Also:
  `SQLSchemaPackage.getDependency()`

Method Summary
`java.lang.String` `getDependencyType()` Returns the value of the 'Dependency Type' attribute.
`org.eclipse.emf.ecore.EObject` `getTargetEnd()` Returns the value of the 'Target End' reference.
`void` `setDependencyType(java.lang.String value)` Sets the value of the '`Dependency Type`' attribute.
`void` `setTargetEnd(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Target End`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTargetEnd

    org.eclipse.emf.ecore.EObject getTargetEnd()

  Returns the value of the 'Target End' reference.

  If the meaning of the 'Target End' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target End' reference.
  See Also:
    `setTargetEnd(EObject)`, `SQLSchemaPackage.getDependency_TargetEnd()`

### setTargetEnd

    void setTargetEnd(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Target End`' reference.

  Parameters:
    `value` - the new value of the 'Target End' reference.
  See Also:
    `getTargetEnd()`

### getDependencyType

    java.lang.String getDependencyType()

  Returns the value of the 'Dependency Type' attribute.

  If the meaning of the 'Dependency Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Dependency Type' attribute.
  See Also:
    `setDependencyType(String)`, `SQLSchemaPackage.getDependency_DependencyType()`

### setDependencyType

    void setDependencyType(java.lang.String value)

  Sets the value of the '`Dependency Type`' attribute.

  Parameters:
    `value` - the new value of the 'Dependency Type' attribute.
  See Also:
    `getDependencyType()`